API ReferenceSigning
Decline contract as external signer
POST /api/v1/external-signers/decline: Decline contract as external signer. Public, no credential needed. Parameters, responses and code samples.
curl -X POST "https://api.econtract.online/api/v1/external-signers/decline"Empty
Empty
Code Examples
curl -X POST "https://api.econtract.online/api/v1/external-signers/decline" \
-H "Authorization: Bearer cl_live_your_key_here"const res = await fetch("https://api.econtract.online/api/v1/external-signers/decline", {
headers: { "Authorization": "Bearer cl_live_your_key_here" },
}).then(r => r.json());
console.log(res);import requests
res = requests.get(
"https://api.econtract.online/api/v1/external-signers/decline",
headers={"Authorization": "Bearer cl_live_your_key_here"},
).json()
print(res)package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("POST", "https://api.econtract.online/api/v1/external-signers/decline", nil)
req.Header.Set("Authorization", "Bearer cl_live_your_key_here")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.econtract.online/api/v1/external-signers/decline");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer cl_live_your_key_here",
"Content-Type: application/json",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.econtract.online/api/v1/external-signers/decline"))
.header("Authorization", "Bearer cl_live_your_key_here")
.GET()
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer cl_live_your_key_here");
var response = await client.GetAsync("https://api.econtract.online/api/v1/external-signers/decline");
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);